package org.apache.bcel.classfile;

import java.io.DataInput;
import java.io.IOException;

public final class ConstantInvokeDynamic extends ConstantCP {
   public ConstantInvokeDynamic(ConstantInvokeDynamic c) {
      this(c.getBootstrapMethodAttrIndex(), c.getNameAndTypeIndex());
   }

   ConstantInvokeDynamic(DataInput file) throws IOException {
      this(file.readShort(), file.readShort());
   }

   public ConstantInvokeDynamic(int bootstrapMethodAttrIndex, int nameAndTypeIndex) {
      super((byte)18, bootstrapMethodAttrIndex, nameAndTypeIndex);
   }

   public void accept(Visitor v) {
      v.visitConstantInvokeDynamic(this);
   }

   public int getBootstrapMethodAttrIndex() {
      return super.getClassIndex();
   }

   public String toString() {
      return super.toString().replace("class_index", "bootstrap_method_attr_index");
   }
}
